Class | Prawn::Font::DFont
In: | lib/prawn/font/dfont.rb
Parent: | TTF

### Methods

font_count named_fonts

### Public Class methods

font_count(file)

Returns the number of fonts contained in the dfont file.

named_fonts(file)

Returns a list of the names of all named fonts in the given dfont file. Note that fonts are not required to be named in a dfont file, so the list may be empty even if the file does contain fonts. Also, note that the list is returned in no particular order, so the first font in the list is not necessarily the font at index 0 in the file.

[Validate]